import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A debris of a very rocky rock.
 * 
 * @author Ninto
 * @version 0.1
 */
public class debris  extends effect
{
    private double speed;
    
    public debris(int rot) {
        speed = Greenfoot.getRandomNumber(4)+2;
        setRotation(rot);
    }
    
    /**
     * Act - do whatever the debris wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        double angle = Math.toRadians(getRotation());
        int x = (int) Math.round(getX() + Math.cos(angle)*speed);
        int y = (int) Math.round(getY() + Math.sin(angle)*speed);
        setLocation(x, y);
        if(speed > 0) speed-=.5;
        super.act();
    }
}