import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * extra fast greep.
 * 
 * @author Ninto
 * @version 0.1
 */
public class speedGreep  extends Greep
{
    private int dashDelay = 500;
    private int dashLeft = 0;
    
    public speedGreep(Ship myShip)
    {
        super(myShip);
    }
    
    /**
     * Act - do whatever the speedGreep wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        if(dashLeft > 0) {
            if(homeShip != null && homeShip.isDone) {isDone = true;}
            if(isDone) {
                finish();
                if(!returned) move(4);
                return;
            }
            if(myGreep() != null && myGreep().homeShip != homeShip) {
                hurt(myGreep(), 5);
            }
            randomWalk();
            move(4);
            dashLeft--;
            if(dashLeft <= 0) setImage(0);
            return;
        }
        if(dashDelay <= 0) {
            dashLeft = 250;
            dashDelay = 500;
            setImage(2);
        }
        else dashDelay--;
        if(health <= 0) {
            die();
            return;
        }
        if(homeShip != null && homeShip.isDone) {isDone = true;}
        if(isDone) {
            finish();
            if(!returned) move(2);
            return;
        }
        if(myGreep() != null && myGreep().homeShip != homeShip) {
            hurt(myGreep(), 1);
        }
        if(isCarringFood) {
            if(randomChance(50)) {randomWalk();}
            else {returnToShip();}
        }
        else{randomWalk(); checkToSteal();}
        move(2);
    }
}