import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * An extra powerfull Greep-race.
 * 
 * @author Ninto
 * @version 0.2
 */
public class combatGreep  extends Greep
{
    /**
     * The same constructor as the Greep exept the image.
     */
    public combatGreep(Ship myShip)
    {
        super(myShip);
    }
    
    /**
     * Act - do whatever the combatGreep wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        if(health <= 0) {
            die();
            return;
        }
        if(homeShip != null && homeShip.isDone) isDone = true;
        if(isDone) {
            finish();
            if(!returned) move(1);
            return;
        }
        if(myGreep() != null && myGreep().homeShip != homeShip) hurt(myGreep(), 10);
        randomWalk();
        move(1);
    }
}