import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * An plant that spawns tomatos.
 * 
 * @author Ninto
 * @version 0.2
 */
public class tomatoPlant  extends superClass
{
    private final static int growTime = 200;
    private int growLevel = 0;
    
    private static GreenfootImage img;
    
    public tomatoPlant()
    {
        if(img == null) img = new GreenfootImage("tomatoPlant.png");
        setImage(img);
    }
    
    /**
     * Act - do whatever the tomatoPlant wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        if(getOneIntersectingObject(Food.class) != null) {return;}
        if(growLevel < growTime) {
            growLevel++;
            return;
        }
        getWorld().addObject(new Food(), getX(), getY());
        growLevel = 0;
    }
}