import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A greep-race that can smash very rocky rocks.
 * 
 * @author Ninto
 * @version 0.1
 */
public class workerGreep  extends Greep
{
    private int power = 3;
    
    public workerGreep(Ship myShip) {
        super(myShip);
    }
    
    /**
     * Act - do whatever the workerGreep wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() {
        if(health <= 0) {
            die();
            return;
        }
        if(homeShip != null && homeShip.isDone) isDone = true;
        if(isDone) {
            finish();
            if(!returned) move(1);
            return;
        }
        rock rockyRock = (rock)getOneIntersectingObject(rock.class);
        if(power > 0 && rockyRock != null) {
            rockyRock.destroy();
            power--;
        }
        randomWalk();
        move(1);
        if(power <= 0) die();
    }
}